Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRElementDataset

All Superinterfaces:
  java.lang.Cloneable, JRCloneable

All Known Subinterfaces:
  ChartDataset, JRCategoryDataset, JRChartDataset, JRCrosstabDataset, JRGanttDataset, JRHighLowDataset, JRPieDataset, JRTimePeriodDataset, JRTimeSeriesDataset, JRValueDataset, JRXyDataset, JRXyzDataset, SpiderDataset

All Known Implementing Classes:
  FillSpiderDataset, JRBaseCategoryDataset, JRBaseChartDataset, JRBaseCrosstabDataset, JRBaseElementDataset, JRBaseGanttDataset, JRBaseHighLowDataset, JRBasePieDataset, JRBaseTimePeriodDataset, JRBaseTimeSeriesDataset, JRBaseValueDataset, JRBaseXyDataset, JRBaseXyzDataset, JRDesignCategoryDataset, JRDesignChartDataset, JRDesignCrosstabDataset, JRDesignElementDataset, JRDesignGanttDataset, JRDesignHighLowDataset, JRDesignPieDataset, JRDesignTimePeriodDataset, JRDesignTimeSeriesDataset, JRDesignValueDataset, JRDesignXyDataset, JRDesignXyzDataset, JRFillCategoryDataset, JRFillChartDataset, JRFillCrosstab.JRFillCrosstabDataset, JRFillElementDataset, JRFillGanttDataset, JRFillHighLowDataset, JRFillPieDataset, JRFillTimePeriodDataset, JRFillTimeSeriesDataset, JRFillValueDataset, JRFillXyDataset, JRFillXyzDataset, StandardSpiderDataset

    public interface JRElementDataset

extends JRCloneable

Element datasets are used to represent the report data needed to generate a chart or crosstab. The dataset structure may vary with each chart type or crosstab. This is the superinterface for all datasets and contains common dataset properties.

Version:
  $Id: JRElementDataset.java 3506 2010-03-04 14:48:54Z shertage $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`void` | `collectExpressions(JRExpressionCollector collector)`
`JRDatasetRun` | `getDatasetRun()` Returns the sub dataset run for this chart dataset.
`JRGroup` | `getIncrementGroup()` Gets the selected increment group in case of increment type group.
`byte` | `getIncrementType()` Deprecated. Replaced by `getIncrementTypeValue()`.
`IncrementTypeEnum` | `getIncrementTypeValue()` Returns the increment type.
`JRExpression` | `getIncrementWhenExpression()` Returns the "increment when" expression.
`JRGroup` | `getResetGroup()` Gets the selected reset group in case of reset type group.
`byte` | `getResetType()` Deprecated. Replaced by `getResetTypeValue()`.
`ResetTypeEnum` | `getResetTypeValue()` Gets the reset type.

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Method Detail

### getResetType

    byte getResetType()

  Deprecated. Replaced by `getResetTypeValue()`.

### getResetTypeValue

    ResetTypeEnum getResetTypeValue()

  Gets the reset type. This specifies the range of report data used for filling the dataset.

  Returns:
    one of the reset constants in `ResetTypeEnum`

### getResetGroup

    JRGroup getResetGroup()

  Gets the selected reset group in case of reset type group.

### getIncrementType

    byte getIncrementType()

  Deprecated. Replaced by `getIncrementTypeValue()`.

### getIncrementTypeValue

    IncrementTypeEnum getIncrementTypeValue()

  Returns the increment type. This specifies dataset values increment step.

  Returns:
    one of the increment constants in `IncrementTypeEnum`.

### getIncrementGroup

    JRGroup getIncrementGroup()

  Gets the selected increment group in case of increment type group.

### collectExpressions

    void collectExpressions(JRExpressionCollector collector)

### getDatasetRun

    JRDatasetRun getDatasetRun()

  Returns the sub dataset run for this chart dataset.

  Returns:
    the sub dataset run for this chart dataset

### getIncrementWhenExpression

    JRExpression getIncrementWhenExpression()

  Returns the "increment when" expression.

  This expression determines whether a dataset will be incremented or not.

  The expression (if not null) is evaluated before each increment of the dataset. The increment will be carried on only when the result of the evaluation is `Boolean.TRUE`; if the result is null or false, the increment will not be performed.

  Returns:
    the "increment when" expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com